> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Event Triggered Campaign

> Update an Event Triggered Campaign



## OpenAPI

````yaml /api-reference/push-openapi.json put /prod/event-campaign/{id}
openapi: 3.1.0
info:
  title: push-notifications
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: One-Off Notifications
    description: Send individual push notifications
  - name: Welcome Notifications
    description: Welcome notification campaigns
  - name: Triggered Campaigns
    description: Event-triggered push notification campaigns
  - name: RSS Campaigns
    description: RSS feed-based push notification campaigns
  - name: Manual Campaigns
    description: Manually created push notification campaigns
  - name: API Campaigns
    description: API-triggered push notification campaigns
paths:
  /prod/event-campaign/{id}:
    put:
      tags:
        - Triggered Campaigns
      summary: Update Event Triggered Campaign
      description: Update an Event Triggered Campaign
      operationId: update-event-campaign
      parameters:
        - name: id
          in: path
          description: Campaign ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of Campaign
                title:
                  type: string
                  description: Push Title
                body:
                  type: string
                  description: Push Body Message
                link:
                  type: string
                  description: Push Notification Link
                status:
                  type: integer
                  description: set 1 for draft, 5 for active
                eventAction:
                  type: string
                eventCategory:
                  type: string
                eventLabel:
                  type: string
                delay:
                  type: integer
                  description: Time in seconds after event when push should be sent
                drip:
                  type: string
                  description: >-
                    Comma separated integer values representing delays as
                    seconds from event. Example: 60, 300, 3600
                customIcon:
                  type: string
                  description: 'url of custom icon to use (recommended size: 250x250)'
                customImage:
                  type: string
                  description: 'url of custom image to use (recommended size: 300x500))'
                target_device:
                  type: string
                  description: >-
                    device type to target (optional). can be either: "any",
                    "mobile" or "desktop"
                actions:
                  type: object
                  description: action buttons
                  properties:
                    a01:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
                    a02:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
                collapse_key:
                  type: string
                  description: >-
                    replace visible notifications on a subscribers device (e.g.
                    breaking_news)
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: success
                    campaignId: '329'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: 'Error #136.'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Please specify a valid auth_token.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````